Subject: WARNING: suspicious RCU usage

From: [email-masked] (Paul E. McKenney)
Date: Fri, 15 Dec 2017 07:52:18 -0800

On Fri, Dec 15, 2017 at 11:16:43AM -0200, Fabio Estevam wrote:
> Hi Paul,
> 
> On Fri, Dec 15, 2017 at 4:38 AM, Paul E. McKenney
> <[email-masked]> wrote:
> 
> > For your amusement, I have a patch below that takes a paranoid view of
> > the possible answers to these questions.  This patch is untested and
> > probably does not even build.  Plus its polling loop is quite naive.
> 
> I tried to build it, but if fails to link:
> 
>   LD      vmlinux.o
>   MODPOST vmlinux.o
> arch/arm/kernel/smp.o: In function `__cpu_die':
> smp.c:(.text+0x44c): undefined reference to `__bad_xchg'
> Makefile:1024: recipe for target 'vmlinux' failed
> make: *** [vmlinux] Error 1

OK, I will need to make a better choice of atomic operation.

Thank you for testing this!

							Thanx, Paul